summaryrefslogtreecommitdiffstats
path: root/coin/provisioning
diff options
context:
space:
mode:
authorJoni Jantti <joni.jantti@qt.io>2017-12-27 12:39:38 +0200
committerTony Sarajärvi <tony.sarajarvi@qt.io>2017-12-27 22:11:17 +0000
commitb23faee265630632a0fa057d226d0fe3f3f25140 (patch)
treee42002bd03c76b876cb56c9a93e35a46cabf9819 /coin/provisioning
parent70d3800aab5c3edd9e4551a9c9f23fa2e9b53b13 (diff)
Add set -ex to provisioning scripts for osx-10.11
Change-Id: I56ecd39a553b8b777eac0f8822cfd3263e972ef5 Reviewed-by: Tony Sarajärvi <tony.sarajarvi@qt.io>
Diffstat (limited to 'coin/provisioning')
-rw-r--r--coin/provisioning/qtci-osx-10.11-x86_64/001-crashreporter.sh3
-rwxr-xr-xcoin/provisioning/qtci-osx-10.11-x86_64/001-system_updates.sh2
-rw-r--r--coin/provisioning/qtci-osx-10.11-x86_64/003-bashprofile.sh2
-rwxr-xr-xcoin/provisioning/qtci-osx-10.11-x86_64/005-systemsetup.sh2
-rwxr-xr-xcoin/provisioning/qtci-osx-10.11-x86_64/007-SSL_keychain.sh3
-rwxr-xr-xcoin/provisioning/qtci-osx-10.11-x86_64/015-xz.sh2
-rwxr-xr-xcoin/provisioning/qtci-osx-10.11-x86_64/020-xcode.sh2
-rwxr-xr-xcoin/provisioning/qtci-osx-10.11-x86_64/021-install-commandlinetools.sh3
-rwxr-xr-xcoin/provisioning/qtci-osx-10.11-x86_64/025-cmake.sh2
-rwxr-xr-xcoin/provisioning/qtci-osx-10.11-x86_64/025-homebrew.sh2
-rwxr-xr-xcoin/provisioning/qtci-osx-10.11-x86_64/025-mysql.sh2
-rwxr-xr-xcoin/provisioning/qtci-osx-10.11-x86_64/025-postgresql.sh2
-rw-r--r--coin/provisioning/qtci-osx-10.11-x86_64/025-python3.sh2
-rwxr-xr-xcoin/provisioning/qtci-osx-10.11-x86_64/026-p7zip.sh3
-rwxr-xr-xcoin/provisioning/qtci-osx-10.11-x86_64/08-libclang.sh2
15 files changed, 33 insertions, 1 deletions
diff --git a/coin/provisioning/qtci-osx-10.11-x86_64/001-crashreporter.sh b/coin/provisioning/qtci-osx-10.11-x86_64/001-crashreporter.sh
index ba8dbdd3..77c41533 100644
--- a/coin/provisioning/qtci-osx-10.11-x86_64/001-crashreporter.sh
+++ b/coin/provisioning/qtci-osx-10.11-x86_64/001-crashreporter.sh
@@ -1,2 +1,5 @@
#!/bin/sh
+
+set -ex
+
defaults write com.apple.CrashReporter DialogType server
diff --git a/coin/provisioning/qtci-osx-10.11-x86_64/001-system_updates.sh b/coin/provisioning/qtci-osx-10.11-x86_64/001-system_updates.sh
index b05dcf1c..a1ab3a92 100755
--- a/coin/provisioning/qtci-osx-10.11-x86_64/001-system_updates.sh
+++ b/coin/provisioning/qtci-osx-10.11-x86_64/001-system_updates.sh
@@ -1,4 +1,6 @@
#!/usr/bin/env bash
+set -ex
+
BASEDIR=$(dirname "$0")
$BASEDIR/../common/system_updates.sh
diff --git a/coin/provisioning/qtci-osx-10.11-x86_64/003-bashprofile.sh b/coin/provisioning/qtci-osx-10.11-x86_64/003-bashprofile.sh
index 0fbe7628..a59e3e63 100644
--- a/coin/provisioning/qtci-osx-10.11-x86_64/003-bashprofile.sh
+++ b/coin/provisioning/qtci-osx-10.11-x86_64/003-bashprofile.sh
@@ -1,5 +1,7 @@
#!/bin/sh
+set -ex
+
# Read .bashrc if exist
printf -- "# Get the aliases and functions\nif [ -f ~/.bashrc ]; then\n . ~/.bashrc\nfi\n" >> ~/.bash_profile
diff --git a/coin/provisioning/qtci-osx-10.11-x86_64/005-systemsetup.sh b/coin/provisioning/qtci-osx-10.11-x86_64/005-systemsetup.sh
index 4a07bbbe..3e495a63 100755
--- a/coin/provisioning/qtci-osx-10.11-x86_64/005-systemsetup.sh
+++ b/coin/provisioning/qtci-osx-10.11-x86_64/005-systemsetup.sh
@@ -35,6 +35,8 @@
# This script modified system settings for automated use
+set -ex
+
# shellcheck source=../common/try_catch.sh
source "${BASH_SOURCE%/*}/../common/try_catch.sh"
diff --git a/coin/provisioning/qtci-osx-10.11-x86_64/007-SSL_keychain.sh b/coin/provisioning/qtci-osx-10.11-x86_64/007-SSL_keychain.sh
index 61406203..2cdedcf5 100755
--- a/coin/provisioning/qtci-osx-10.11-x86_64/007-SSL_keychain.sh
+++ b/coin/provisioning/qtci-osx-10.11-x86_64/007-SSL_keychain.sh
@@ -1,3 +1,6 @@
#!/bin/sh
+
+set -ex
+
# Enables the usage of temporary keychains for SSL autotests
echo "export QT_SSL_USE_TEMPORARY_KEYCHAIN=1" >> ~/.bashrc
diff --git a/coin/provisioning/qtci-osx-10.11-x86_64/015-xz.sh b/coin/provisioning/qtci-osx-10.11-x86_64/015-xz.sh
index 8a3999b9..61c7fc6d 100755
--- a/coin/provisioning/qtci-osx-10.11-x86_64/015-xz.sh
+++ b/coin/provisioning/qtci-osx-10.11-x86_64/015-xz.sh
@@ -37,6 +37,8 @@
# XZ-Utils are needed for uncompressing xz-compressed files
+set -ex
+
# shellcheck source=../common/try_catch.sh
source "${BASH_SOURCE%/*}/../common/InstallPKGFromURL.sh"
diff --git a/coin/provisioning/qtci-osx-10.11-x86_64/020-xcode.sh b/coin/provisioning/qtci-osx-10.11-x86_64/020-xcode.sh
index 37acc2ee..8ca4a3ac 100755
--- a/coin/provisioning/qtci-osx-10.11-x86_64/020-xcode.sh
+++ b/coin/provisioning/qtci-osx-10.11-x86_64/020-xcode.sh
@@ -42,7 +42,7 @@
# This will give you a file called "Content.part00.cpio.xz" that
# can be renamed to Xcode_8.xz for this script.
-
+set -ex
# shellcheck source=../common/try_catch.sh
source "${BASH_SOURCE%/*}/../common/try_catch.sh"
diff --git a/coin/provisioning/qtci-osx-10.11-x86_64/021-install-commandlinetools.sh b/coin/provisioning/qtci-osx-10.11-x86_64/021-install-commandlinetools.sh
index 9145c12a..2f46c41d 100755
--- a/coin/provisioning/qtci-osx-10.11-x86_64/021-install-commandlinetools.sh
+++ b/coin/provisioning/qtci-osx-10.11-x86_64/021-install-commandlinetools.sh
@@ -32,6 +32,9 @@
## $QT_END_LICENSE$
##
#############################################################################
+
+set -ex
+
source "${BASH_SOURCE%/*}/../common/install-commandlinetools.sh"
version="8.2"
diff --git a/coin/provisioning/qtci-osx-10.11-x86_64/025-cmake.sh b/coin/provisioning/qtci-osx-10.11-x86_64/025-cmake.sh
index ddb01d64..3cdbd463 100755
--- a/coin/provisioning/qtci-osx-10.11-x86_64/025-cmake.sh
+++ b/coin/provisioning/qtci-osx-10.11-x86_64/025-cmake.sh
@@ -1,4 +1,6 @@
#!/usr/bin/env bash
+set -ex
+
BASEDIR=$(dirname "$0")
$BASEDIR/../common/cmake.sh
diff --git a/coin/provisioning/qtci-osx-10.11-x86_64/025-homebrew.sh b/coin/provisioning/qtci-osx-10.11-x86_64/025-homebrew.sh
index 63ec9b69..9fb5d672 100755
--- a/coin/provisioning/qtci-osx-10.11-x86_64/025-homebrew.sh
+++ b/coin/provisioning/qtci-osx-10.11-x86_64/025-homebrew.sh
@@ -1,4 +1,6 @@
#!/usr/bin/env bash
+set -ex
+
BASEDIR=$(dirname "$0")
$BASEDIR/../common/homebrew.sh
diff --git a/coin/provisioning/qtci-osx-10.11-x86_64/025-mysql.sh b/coin/provisioning/qtci-osx-10.11-x86_64/025-mysql.sh
index 1e4de16a..3e545d9e 100755
--- a/coin/provisioning/qtci-osx-10.11-x86_64/025-mysql.sh
+++ b/coin/provisioning/qtci-osx-10.11-x86_64/025-mysql.sh
@@ -37,6 +37,8 @@
# MySQL is needed for Qt to be able to support MySQL
+set -ex
+
# shellcheck source=../common/InstallAppFromCompressedFileFromURL.sh
source "${BASH_SOURCE%/*}/../common/InstallAppFromCompressedFileFromURL.sh"
diff --git a/coin/provisioning/qtci-osx-10.11-x86_64/025-postgresql.sh b/coin/provisioning/qtci-osx-10.11-x86_64/025-postgresql.sh
index a990829e..b7393895 100755
--- a/coin/provisioning/qtci-osx-10.11-x86_64/025-postgresql.sh
+++ b/coin/provisioning/qtci-osx-10.11-x86_64/025-postgresql.sh
@@ -37,6 +37,8 @@
# PostgreSQL is needed for Qt to be able to support PostgreSQL
+set -ex
+
# shellcheck source=../common/InstallAppFromCompressedFileFromURL.sh
source "${BASH_SOURCE%/*}/../common/InstallAppFromCompressedFileFromURL.sh"
diff --git a/coin/provisioning/qtci-osx-10.11-x86_64/025-python3.sh b/coin/provisioning/qtci-osx-10.11-x86_64/025-python3.sh
index cd4e3fd9..86bee612 100644
--- a/coin/provisioning/qtci-osx-10.11-x86_64/025-python3.sh
+++ b/coin/provisioning/qtci-osx-10.11-x86_64/025-python3.sh
@@ -1 +1,3 @@
+set -ex
+
source "${BASH_SOURCE%/*}/../common/python3.sh"
diff --git a/coin/provisioning/qtci-osx-10.11-x86_64/026-p7zip.sh b/coin/provisioning/qtci-osx-10.11-x86_64/026-p7zip.sh
index 4fb9ddbc..15511332 100755
--- a/coin/provisioning/qtci-osx-10.11-x86_64/026-p7zip.sh
+++ b/coin/provisioning/qtci-osx-10.11-x86_64/026-p7zip.sh
@@ -1,4 +1,7 @@
#!/usr/bin/env bash
# Install 7z to be used from command line
+
+set -ex
+
brew update
brew install p7zip
diff --git a/coin/provisioning/qtci-osx-10.11-x86_64/08-libclang.sh b/coin/provisioning/qtci-osx-10.11-x86_64/08-libclang.sh
index d257ffa1..2a8a90c3 100755
--- a/coin/provisioning/qtci-osx-10.11-x86_64/08-libclang.sh
+++ b/coin/provisioning/qtci-osx-10.11-x86_64/08-libclang.sh
@@ -1,5 +1,7 @@
#!/usr/bin/env bash
+set -ex
+
BASEDIR=$(dirname "$0")
# There is only one mac package and common script uses it as a default
$BASEDIR/../common/libclang.sh